package com.qmth.eds.api;

import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.eds.common.util.Result;
import com.qmth.eds.common.util.ResultUtil;
import com.qmth.eds.service.CloudMarkingExamService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * <p>
 * 云阅卷考试 前端控制器
 * </p>
 */
@Api(tags = "云阅卷考试接口")
@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/cloud_marking_exam")
public class CloudMarkingExamController {

    @Resource
    private CloudMarkingExamService cloudMarkingExamService;

    /**
     * 查询云阅卷考试
     */
    @ApiOperation(value = "查询云阅卷考试")
    @PostMapping("/list")
    public Result listExam(Long collegeId) {
        return ResultUtil.ok(cloudMarkingExamService.listExam(collegeId));
    }

    /**
     * 同步云阅卷考试
     */
    @ApiOperation(value = "同步云阅卷考试")
    @PostMapping("/sync")
    public Result syncExam(Long collegeId) {
        return ResultUtil.ok(cloudMarkingExamService.syncExam(collegeId));
    }
}
