package com.qmth.eds.api;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.eds.bean.result.SyncTaskListResult;
import com.qmth.eds.common.contant.SystemConstant;
import com.qmth.eds.common.enums.TaskResultEnum;
import com.qmth.eds.common.enums.TaskStatusEnum;
import com.qmth.eds.common.enums.TaskTypeEnum;
import com.qmth.eds.common.util.Result;
import com.qmth.eds.common.util.ResultUtil;
import com.qmth.eds.service.TBSyncTaskService;
import io.swagger.annotations.*;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.validation.constraints.Max;
import javax.validation.constraints.Min;

/**
 * <p>
 * 同步任务 前端控制器
 * </p>
 *
 */
@Api(tags = "异步任务接口")
@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/sync_task")
public class TBSyncTaskController {

    @Resource
    private TBSyncTaskService tbSyncTaskService;

    @ApiOperation(value = "同步任务管理查询接口")
    @PostMapping("/page")
    @ApiResponses({@ApiResponse(code = 200, message = "任务管理列表信息", response = SyncTaskListResult.class)})
    public Result taskQuery(@ApiParam(value = "任务状态", required = false) @RequestParam(required = false) TaskStatusEnum status,
                            @ApiParam(value = "任务类型", required = false) @RequestParam(required = false) TaskTypeEnum type,
                            @ApiParam(value = "任务数据结果", required = false) @RequestParam(required = false) TaskResultEnum result,
                            @ApiParam(value = "分页页码", required = true) @RequestParam @Min(SystemConstant.PAGE_NUMBER_MIN) Integer pageNumber,
                            @ApiParam(value = "分页数", required = true) @RequestParam @Min(SystemConstant.PAGE_SIZE_MIN) @Max(SystemConstant.PAGE_SIZE_MAX) Integer pageSize) {
        IPage<SyncTaskListResult> taskListResultIPage = tbSyncTaskService.query(new Page<>(pageNumber, pageSize), status, type, result);
        return ResultUtil.ok(taskListResultIPage);
    }
}
