package com.qmth.eds.common.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.eds.common.contant.SystemConstant;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * 武大考务数据和云阅卷课程代码映射关系表
 */
@ApiModel(value = "BasicCourseMapping对象", description = "武大考务数据和云阅卷课程代码映射关系表")
public class ExamCourseMapping implements Serializable {

    private static final long serialVersionUID = 1L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    @TableId(value = "id")
    private Long id;

    @ApiModelProperty(value = "学校ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long schoolId;

    @ApiModelProperty(value = "学期ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long semesterId;

    @ApiModelProperty(value = "学期名称")
    private String semesterName;


    @ApiModelProperty(value = "考试类型ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examTypeId;

    @ApiModelProperty(value = "考试类型名称")
    private String examTypeName;
    @ApiModelProperty(value = "学号")
    private String studentCode;

    @ApiModelProperty(value = "武大考务数据课程代码")
    private String syncCourseCode;

    @ApiModelProperty(value = "云阅卷课程代码")
    private String cloudMarkingCourseCode;

    @ApiModelProperty(value = "云阅卷考试ID")
    private Integer examId;

    public ExamCourseMapping() {
    }

    public ExamCourseMapping(Long schoolId, Long semesterId, String semesterName, Long examTypeId, String examTypeName, String studentCode, String syncCourseCode, String cloudMarkingCourseCode, Integer examId) {
        this.id = SystemConstant.getDbUuid();
        this.schoolId = schoolId;
        this.semesterId = semesterId;
        this.semesterName = semesterName;
        this.examTypeId = examTypeId;
        this.examTypeName = examTypeName;
        this.studentCode = studentCode;
        this.syncCourseCode = syncCourseCode;
        this.cloudMarkingCourseCode = cloudMarkingCourseCode;
        this.examId = examId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Long getSemesterId() {
        return semesterId;
    }

    public void setSemesterId(Long semesterId) {
        this.semesterId = semesterId;
    }

    public String getSemesterName() {
        return semesterName;
    }

    public void setSemesterName(String semesterName) {
        this.semesterName = semesterName;
    }

    public Long getExamTypeId() {
        return examTypeId;
    }

    public void setExamTypeId(Long examTypeId) {
        this.examTypeId = examTypeId;
    }

    public String getExamTypeName() {
        return examTypeName;
    }

    public void setExamTypeName(String examTypeName) {
        this.examTypeName = examTypeName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getSyncCourseCode() {
        return syncCourseCode;
    }

    public void setSyncCourseCode(String syncCourseCode) {
        this.syncCourseCode = syncCourseCode;
    }

    public String getCloudMarkingCourseCode() {
        return cloudMarkingCourseCode;
    }

    public void setCloudMarkingCourseCode(String cloudMarkingCourseCode) {
        this.cloudMarkingCourseCode = cloudMarkingCourseCode;
    }

    public Integer getExamId() {
        return examId;
    }

    public void setExamId(Integer examId) {
        this.examId = examId;
    }
}
