package com.qmth.eds.core.auth;

import com.qmth.boot.core.security.model.AccessEntity;
import com.qmth.boot.tools.signature.SignatureType;
import com.qmth.eds.common.contant.SpringContextHolder;
import com.qmth.eds.common.contant.SystemConstant;
import com.qmth.eds.common.entity.TBSession;
import com.qmth.eds.common.util.EhcacheUtil;

import java.util.Collection;

public class EdsSession implements AccessEntity {

    private String identity;

    private SignatureType signatureType;

    public EdsSession(String identity, SignatureType signatureType) {
        this.identity = identity;
        this.signatureType = signatureType;
    }

    public void setIdentity(String identity) {
        this.identity = identity;
    }

    @Override
    public String getIdentity() {
        return identity;
    }

    @Override
    public String getSecret() {
        EhcacheUtil ehcacheUtil = SpringContextHolder.getBean(EhcacheUtil.class);
        TBSession tbSession = ehcacheUtil.getUserSession(SystemConstant.SESSION_CACHE, SystemConstant.SESSION + identity);
        return tbSession.getAccessToken();
    }

    @Override
    public Collection<String> getAllowIP() {
        return null;
    }

    @Override
    public Collection<String> getDenyIP() {
        return null;
    }

    public SignatureType getSignatureType() {
        return signatureType;
    }

    public void setSignatureType(SignatureType signatureType) {
        this.signatureType = signatureType;
    }
}
