package com.qmth.eds;

import com.googlecode.aviator.AviatorEvaluator;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.math.BigDecimal;
import java.math.RoundingMode;
import java.util.HashMap;
import java.util.Map;

/**
 * 武汉大学测试类
 */
@SpringBootTest
@RunWith(SpringRunner.class)
public class RoundTest {

    public static void main(String[] args) {
        RoundTest roundTest = new RoundTest();
        String value0 = "86.0";
        String value1 = "86.232";
        String value2 = "86.25";
        String value3 = "86.25111";
        String value4 = "86.25655";
        String value5 = "86.345";
        String value6 = "86.432";
        String value7 = "86.5";
        String value8 = "86.5123";
        String value9 = "86.653";

        System.out.println(value0 + "-->" + roundTest.stripTrailingZerosFormula1(value0));
        System.out.println(value1 + "-->" + roundTest.stripTrailingZerosFormula1(value1));
        System.out.println(value2 + "-->" + roundTest.stripTrailingZerosFormula1(value2));
        System.out.println(value3 + "-->" + roundTest.stripTrailingZerosFormula1(value3));
        System.out.println(value4 + "-->" + roundTest.stripTrailingZerosFormula1(value4));
        System.out.println(value5 + "-->" + roundTest.stripTrailingZerosFormula1(value5));
        System.out.println(value6 + "-->" + roundTest.stripTrailingZerosFormula1(value6));
        System.out.println(value7 + "-->" + roundTest.stripTrailingZerosFormula1(value7));
        System.out.println(value8 + "-->" + roundTest.stripTrailingZerosFormula1(value8));
        System.out.println(value9 + "-->" + roundTest.stripTrailingZerosFormula1(value9));

    }

    private String stripTrailingZerosFormula1(String value) {
        BigDecimal valueDecimal = new BigDecimal(value);
        // 处理分数 86.221->86,86.34->86.5,86.664->87
        int index = value.indexOf(".");
        if (index > 0) {
            // 小数部分值
            double decimalPart = new BigDecimal("0" + value.substring(index)).doubleValue();
            if (decimalPart < 0.5) {
                String divide = valueDecimal.multiply(new BigDecimal("2")).setScale(0, RoundingMode.HALF_UP).divide(new BigDecimal("2")).toString();
                value = stripTrailingZeros(divide);
            } else {
                value = valueDecimal.setScale(0, RoundingMode.HALF_UP).toString();
            }
        }
        return stripTrailingZeros(value);
    }

    private String stripTrailingZeros(String value) {
        return new BigDecimal(value).stripTrailingZeros().toPlainString();
    }
}
